Skip to main content
GET
/
addresses
/
{address_hash_param}
/
celo
/
election-rewards
List Celo election rewards for a specific address
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/celo/election-rewards?apikey='
{
  "items": [
    {
      "account": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "amount": "<string>",
      "associated_account": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "epoch_number": 123,
      "block_hash": "<string>",
      "block_number": 123,
      "block_timestamp": "2023-11-07T05:31:56Z",
      "token": {
        "address_hash": "<string>",
        "circulating_market_cap": "<string>",
        "decimals": "<string>",
        "exchange_rate": "<string>",
        "holders_count": "<string>",
        "icon_url": "https://example.com",
        "name": "<string>",
        "reputation": "ok",
        "symbol": "<string>",
        "total_supply": "<string>",
        "type": "ERC-20",
        "volume_24h": "<string>",
        "bridge_type": "omni",
        "foreign_address": "<string>",
        "origin_chain_id": "<string>"
      },
      "type": "voter"
    }
  ],
  "next_page_params": {
    "amount": "1000000000000000000",
    "associated_account_address_hash": "0x1234567890123456789012345678901234567890",
    "epoch_number": 100,
    "items_count": 50,
    "type": "validator"
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50
epoch_number
string

Epoch number for paging

Pattern: ^-?([1-9][0-9]*|0)$
amount
string | null

Amount for paging

Pattern: ^-?([1-9][0-9]*|0)$
associated_account_address_hash
string

Associated account address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
type
enum<string>

Type for paging

Available options:
voter,
validator,
group,
delegated_payment

Response

Celo election rewards for the specified address.

items
ElectionReward · object[]
required
next_page_params
object
required
Example:
{
"amount": "1000000000000000000",
"associated_account_address_hash": "0x1234567890123456789012345678901234567890",
"epoch_number": 100,
"items_count": 50,
"type": "validator"
}